Support Article

Upgrade fails to find current installed version of PRPC

SA-9004

Summary



When you run the data schema step during an upgrade from PRPC 6.3 SP1 to Pega 7.1.7 (single to split schema) an error is generated indicating that PRPC cannot be found in the database.

You are using the data schema username in the setupdatabase.properties and an Oracle database.

Error Messages



/tmp/Media_114716_Pega717/scripts/setupDatabase.xml:1205: Failed to find current installed version of PRPC

Steps to Reproduce



Run upgrade.sh --dataOnly true 

Root Cause



To run the data schema upgrade you need to use a deployment user who has privileges to access both the rules and data schema.

Resolution



Oracle users should use a "Deployment" user instead of the a user associated with the rules schema or data schema for this step during upgrade. The deployment user should be granted the DBA role that has all the necessary privileges to access the rules and data schemas.
 
Suggest Edit

Published January 31, 2016 - Updated October 8, 2020


0% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.